Debian Bug report logs - #621720
if I attempt to remove apache2.2-common apt wants to install apache2-mpm-prefork

version graph

Package: apt; Maintainer for apt is APT Development Team <deity@lists.debian.org>; Source for apt is src:apt.

Reported by: Faheem Mitha <faheem@email.unc.edu>

Date: Fri, 8 Apr 2011 07:12:02 UTC

Severity: normal

Merged with 621009

Found in version apt/0.8.13.2

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Apache Maintainers <debian-apache@lists.debian.org>:
Bug#621720; Package apache2.2-common. (Fri, 08 Apr 2011 07:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Faheem Mitha <faheem@email.unc.edu>:
New Bug report received and forwarded. Copy sent to Debian Apache Maintainers <debian-apache@lists.debian.org>. (Fri, 08 Apr 2011 07:12:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Faheem Mitha <faheem@email.unc.edu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: if I attempt to remove apache2.2-common apt wants to install apache2-mpm-prefork
Date: Fri, 08 Apr 2011 12:38:13 +0530
Package: apache2.2-common
Version: 2.2.16-6+squeeze1
Severity: normal


I don't know if this is an apt bug. I thought it might be a packaging
issue. If it is an apt bug, please reassign it. Thanks.

I have the following apache related packages newly installed by doing

orwell:/home/faheem# sudo apt-get install apache2
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following extra packages will be installed:
  apache2-mpm-worker apache2-utils apache2.2-bin apache2.2-common libaprutil1-dbd-sqlite3 libaprutil1-ldap
Suggested packages:
  apache2-doc apache2-suexec apache2-suexec-custom
The following NEW packages will be installed:
  apache2 apache2-mpm-worker apache2-utils apache2.2-bin
apache2.2-common libaprutil1-dbd-sqlite3 libaprutil1-ldap
0 upgraded, 7 newly installed, 0 to remove and 1 not upgraded.
Need to get 1,873 kB of archives.
After this operation, 6,312 kB of additional disk space will be used.
Do you want to continue [Y/n]? 

orwell:/home/faheem# dpkg -l | grep apache2
ii  apache2                             2.2.16-6+squeeze1   Apache HTTP Server metapackage
ii  apache2-mpm-worker                  2.2.16-6+squeeze1   Apache HTTP Server - high speed threaded model
ii  apache2-utils                       2.2.16-6+squeeze1   utility programs for webservers
ii  apache2.2-bin                       2.2.16-6+squeeze1   Apache HTTP Server common binary files
ii  apache2.2-common                    2.2.16-6+squeeze1   Apache HTTP Server common files
	       
Then if I try to remove apache2.2-common I get

orwell:/home/faheem# sudo apt-get purge -s apache2.2-common
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following extra packages will be installed:
  apache2-mpm-prefork
The following packages will be REMOVED:
  apache2-mpm-worker*
The following NEW packages will be installed:
  apache2-mpm-prefork
0 upgraded, 1 newly installed, 1 to remove and 1 not upgraded.
Purg apache2-mpm-worker [2.2.16-6+squeeze1] [apache2:i386 ]
Inst apache2-mpm-prefork (2.2.16-6+squeeze1 Debian-Security:6.0/stable [i386])
Conf apache2-mpm-prefork (2.2.16-6+squeeze1 Debian-Security:6.0/stable [i386])

Why is apt trying to install apache2-mpm-prefork?

                                 Regards, Faheem

-- Package-specific info:
List of enabled modules from 'apache2 -M':
  alias auth_basic authn_file authz_default authz_groupfile
  authz_host authz_user autoindex cgid deflate dir env mime
  negotiation reqtimeout setenvif status

-- System Information:
Debian Release: 6.0.1
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable'), (50, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-vserver-686-bigmem (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages apache2 depends on:
ii  apache2-mpm-worker     2.2.16-6+squeeze1 Apache HTTP Server - high speed th
ii  apache2.2-common       2.2.16-6+squeeze1 Apache HTTP Server common files

apache2 recommends no packages.

apache2 suggests no packages.

Versions of packages apache2.2-common depends on:
ii  apache2-utils          2.2.16-6+squeeze1 utility programs for webservers
ii  apache2.2-bin          2.2.16-6+squeeze1 Apache HTTP Server common binary f
ii  libmagic1              5.04-5            File type determination library us
ii  lsb-base               3.2-23.2squeeze1  Linux Standard Base 3.2 init scrip
ii  mime-support           3.48-1            MIME files 'mime.types' & 'mailcap
ii  perl                   5.10.1-17         Larry Wall's Practical Extraction 
ii  procps                 1:3.2.8-9         /proc file system utilities

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Apache Maintainers <debian-apache@lists.debian.org>:
Bug#621720; Package apache2.2-common. (Fri, 08 Apr 2011 08:15:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Faheem Mitha <faheem@email.unc.edu>:
Extra info received and forwarded to list. Copy sent to Debian Apache Maintainers <debian-apache@lists.debian.org>. (Fri, 08 Apr 2011 08:15:20 GMT) Full text and rfc822 format available.

Message #10 received at 621720@bugs.debian.org (full text, mbox):

From: Faheem Mitha <faheem@email.unc.edu>
To: 621720@bugs.debian.org
Subject: apt-get purge apache2-utils fails
Date: Fri, 8 Apr 2011 13:33:27 +0530 (IST)
In a similar vein, on the same machine, everything the same as before, I 
get

orwell:/home/faheem# sudo apt-get purge apache2-utils
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 apache2.2-common : Depends: apache2-utils but it is not going to be installed
E: Broken packages

This smells like an apache packaging bug, not an apt bug. I'm wondering 
whether to set this bug to important. If I figure out what is going on, 
I'll follow up to this bug report.

                                                        Regards, Faheem




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Apache Maintainers <debian-apache@lists.debian.org>:
Bug#621720; Package apache2.2-common. (Fri, 08 Apr 2011 09:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Faheem Mitha <faheem@email.unc.edu>:
Extra info received and forwarded to list. Copy sent to Debian Apache Maintainers <debian-apache@lists.debian.org>. (Fri, 08 Apr 2011 09:21:12 GMT) Full text and rfc822 format available.

Message #15 received at 621720@bugs.debian.org (full text, mbox):

From: Faheem Mitha <faheem@email.unc.edu>
To: 621720@bugs.debian.org
Subject: Re: apt-get purge apache2-utils fails
Date: Fri, 8 Apr 2011 14:47:21 +0530 (IST)

On Fri, 8 Apr 2011, Faheem Mitha wrote:

>
> In a similar vein, on the same machine, everything the same as before, I get
>
> orwell:/home/faheem# sudo apt-get purge apache2-utils
> Reading package lists... Done
> Building dependency tree
> Reading state information... Done
> Some packages could not be installed. This may mean that you have
> requested an impossible situation or if you are using the unstable
> distribution that some required packages have not yet been created
> or been moved out of Incoming.
> The following information may help to resolve the situation:
>
> The following packages have unmet dependencies:
> apache2.2-common : Depends: apache2-utils but it is not going to be 
> installed
> E: Broken packages
>
> This smells like an apache packaging bug, not an apt bug. I'm wondering 
> whether to set this bug to important. If I figure out what is going on, I'll 
> follow up to this bug report.

Maybe this is an apt-get bug. aptitude seems to be able to cope

I still don't get the

"The following packages have unmet dependencies:
  apache2.2-common: Depends: apache2-utils but it is not going to be
installed."

It doesn't make any sense here.

**********************************************************************

orwell:/home/faheem# aptitude purge apache2-utils
The following packages will be REMOVED:
  apache2-utils{p}
0 packages upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
Need to get 0 B of archives. After unpacking 381 kB will be freed.
The following packages have unmet dependencies:
  apache2.2-common: Depends: apache2-utils but it is not going to be 
installed.
The following actions will resolve these dependencies:

     Remove the following packages:
1)     apache2
2)     apache2-mpm-worker
3)     apache2.2-common

Accept this solution? [Y/n/q/?]
The following packages will be REMOVED:
  apache2{a} apache2-mpm-worker{a} apache2-utils{p} apache2.2-bin{u} 
apache2.2-common{a} libaprutil1-dbd-sqlite3{u} libaprutil1-ldap{u}
0 packages upgraded, 0 newly installed, 7 to remove and 0 not upgraded.
Need to get 0 B of archives. After unpacking 6,312 kB will be freed.
Do you want to continue? [Y/n/?]
(Reading database ... 289348 files and directories currently installed.)
Removing apache2 ...
Removing apache2-mpm-worker ...
Stopping web server: apache2apache2: Could not reliably determine the 
server's fully qualified domain name, using 127.0.0.1 for ServerName
.
Removing apache2.2-common ...
Processing triggers for man-db ...
(Reading database ... 289020 files and directories currently installed.)
Removing apache2-utils ...
Processing triggers for man-db ...
(Reading database ... 288994 files and directories currently installed.)
Removing apache2.2-bin ...
Removing libaprutil1-dbd-sqlite3 ...
Removing libaprutil1-ldap ...
Processing triggers for man-db ...




Bug reassigned from package 'apache2.2-common' to 'apt'. Request was from Faheem Mitha <faheem@email.unc.edu> to control@bugs.debian.org. (Fri, 08 Apr 2011 09:57:43 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions apache2/2.2.16-6+squeeze1. Request was from Faheem Mitha <faheem@email.unc.edu> to control@bugs.debian.org. (Fri, 08 Apr 2011 09:57:44 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#621720; Package apt. (Tue, 12 Apr 2011 20:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Faheem Mitha <faheem@email.unc.edu>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Tue, 12 Apr 2011 20:15:03 GMT) Full text and rfc822 format available.

Message #24 received at 621720@bugs.debian.org (full text, mbox):

From: Faheem Mitha <faheem@email.unc.edu>
To: Stefan Fritsch <sf@sfritsch.de>
Cc: 621720@bugs.debian.org
Subject: Re: Bug#621720: if I attempt to remove apache2.2-common apt wants to install apache2-mpm-prefork
Date: Wed, 13 Apr 2011 01:32:32 +0530 (IST)

On Tue, 12 Apr 2011, Stefan Fritsch wrote:

> reassign 621720 apt
> thanks
>
> On Friday 08 April 2011, Faheem Mitha wrote:
>> I don't know if this is an apt bug. I thought it might be a
>> packaging issue. If it is an apt bug, please reassign it. Thanks.
>
> I think this is an apt bug. If the user asks apt-get to purge a
> package, it should do that or give a meaningful error message.

I already reassigned this to apt, but thanks for your feedback.

                                               Regards, Faheem




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#621720; Package apt. (Tue, 12 Apr 2011 20:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Fritsch <sf@sfritsch.de>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Tue, 12 Apr 2011 20:30:05 GMT) Full text and rfc822 format available.

Message #29 received at 621720@bugs.debian.org (full text, mbox):

From: Stefan Fritsch <sf@sfritsch.de>
To: Faheem Mitha <faheem@email.unc.edu>
Cc: 621720@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#621720: if I attempt to remove apache2.2-common apt wants to install apache2-mpm-prefork
Date: Tue, 12 Apr 2011 21:55:09 +0200
reassign 621720 apt
thanks

On Friday 08 April 2011, Faheem Mitha wrote:
> I don't know if this is an apt bug. I thought it might be a
> packaging issue. If it is an apt bug, please reassign it. Thanks.

I think this is an apt bug. If the user asks apt-get to purge a 
package, it should do that or give a meaningful error message.




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#621720; Package apt. (Wed, 27 Apr 2011 15:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Faheem Mitha <faheem@email.unc.edu>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Wed, 27 Apr 2011 15:30:03 GMT) Full text and rfc822 format available.

Message #34 received at 621720@bugs.debian.org (full text, mbox):

From: Faheem Mitha <faheem@email.unc.edu>
To: 621720@bugs.debian.org
Subject: is this an apt bug?
Date: Wed, 27 Apr 2011 20:58:37 +0530 (IST)
Hi,

Just wondering if this is an apt bug, and if anyone else can reproduce it.

                                                          Regards, Faheem




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#621720; Package apt. (Wed, 27 Apr 2011 16:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Kalnischkies <kalnischkies+debian@gmail.com>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Wed, 27 Apr 2011 16:24:06 GMT) Full text and rfc822 format available.

Message #39 received at 621720@bugs.debian.org (full text, mbox):

From: David Kalnischkies <kalnischkies+debian@gmail.com>
To: Faheem Mitha <faheem@email.unc.edu>, 621720@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#621720: is this an apt bug?
Date: Wed, 27 Apr 2011 18:21:46 +0200
merge 621009 621720
thanks

On Wed, Apr 27, 2011 at 17:28, Faheem Mitha <faheem@email.unc.edu> wrote:
> Just wondering if this is an apt bug, and if anyone else can reproduce it.

It is, try:   -o pkgProblemResolver::FixByInstall=0
which should help. The problem is that APT tries to fix a broken or-group
by installing another or-group member which somewhere down in the
dependency line installs again the package which should have been removed.
A problem in remove requests, but useful in installation and upgrade
(before someone says: Just disable it in remove requests then:
 what is the type of this request: apt-get purge apt- aptitude+ dpkg+
 and does it change then we say apt-get install instead…
 - and yes, the request itself is insane and will not work)

APT in unstable has a relatively simple fix so it doesn't override user
requests anymore with automatic changes, but this doesn't help in
all cases (through in this one i think it should, but haven't tested yet),
so it generates similar "strange" errors (see merge).

The proper fix is to implement undoing of actions which lead to a dead end -
or at least that would help in many more cases. The few remaining can be
fixed by undoing actions which where consequences of now to be removed
packages as it can happen at the far end of the resolver process.

Especially the last one is unlikely to be implemented soon
(by me, i will not stop anyone from grabbing source and patch it)
the first is hopefully wheezy material soon.


Best regards

David Kalnischkies




Merged 621009 621720. Request was from David Kalnischkies <kalnischkies+debian@gmail.com> to control@bugs.debian.org. (Wed, 27 Apr 2011 16:24:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#621720; Package apt. (Wed, 27 Apr 2011 18:24:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Faheem Mitha <faheem@email.unc.edu>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Wed, 27 Apr 2011 18:24:10 GMT) Full text and rfc822 format available.

Message #46 received at 621720@bugs.debian.org (full text, mbox):

From: Faheem Mitha <faheem@email.unc.edu>
To: David Kalnischkies <kalnischkies+debian@gmail.com>
Cc: 621720@bugs.debian.org
Subject: Re: Bug#621720: is this an apt bug?
Date: Wed, 27 Apr 2011 23:50:42 +0530 (IST)
[Message part 1 (text/plain, inline)]
Hi David,

Thanks for the clarification. At first sight 621009 doesn't appear to have 
much relation to this bug, but I'll take your word for it.

What is the broken or group here (and how is it broken?), and what is the 
other or group member? I assume these are both versions of the apache 2 
packages? And which invocation does this refer to, the

sudo apt-get install apache2

or the

sudo apt-get purge apache2-utils

? Thanks.

                                                          Regards, Faheem

On Wed, 27 Apr 2011, David Kalnischkies wrote:

> merge 621009 621720
> thanks
>
> On Wed, Apr 27, 2011 at 17:28, Faheem Mitha <faheem@email.unc.edu> wrote:
>> Just wondering if this is an apt bug, and if anyone else can reproduce it.
>
> It is, try:   -o pkgProblemResolver::FixByInstall=0
> which should help. The problem is that APT tries to fix a broken or-group
> by installing another or-group member which somewhere down in the
> dependency line installs again the package which should have been removed.
> A problem in remove requests, but useful in installation and upgrade
> (before someone says: Just disable it in remove requests then:
> what is the type of this request: apt-get purge apt- aptitude+ dpkg+
> and does it change then we say apt-get install instead…
> - and yes, the request itself is insane and will not work)
>
> APT in unstable has a relatively simple fix so it doesn't override user
> requests anymore with automatic changes, but this doesn't help in
> all cases (through in this one i think it should, but haven't tested yet),
> so it generates similar "strange" errors (see merge).
>
> The proper fix is to implement undoing of actions which lead to a dead end -
> or at least that would help in many more cases. The few remaining can be
> fixed by undoing actions which where consequences of now to be removed
> packages as it can happen at the far end of the resolver process.
>
> Especially the last one is unlikely to be implemented soon
> (by me, i will not stop anyone from grabbing source and patch it)
> the first is hopefully wheezy material soon.
>
>
> Best regards
>
> David Kalnischkies
>
>

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#621720; Package apt. (Wed, 27 Apr 2011 18:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Kalnischkies <kalnischkies+debian@gmail.com>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Wed, 27 Apr 2011 18:57:09 GMT) Full text and rfc822 format available.

Message #51 received at 621720@bugs.debian.org (full text, mbox):

From: David Kalnischkies <kalnischkies+debian@gmail.com>
To: Faheem Mitha <faheem@email.unc.edu>
Cc: 621720@bugs.debian.org
Subject: Re: Bug#621720: is this an apt bug?
Date: Wed, 27 Apr 2011 20:53:52 +0200
On Wed, Apr 27, 2011 at 20:20, Faheem Mitha <faheem@email.unc.edu> wrote:
> What is the broken or group here (and how is it broken?), and what is the
> other or group member? I assume these are both versions of the apache 2
> packages? And which invocation does this refer to, the

You request the remove of apache2.2-common which is a dependency of
apache2-mpm-worker which is an or'd dependency of apache2.
APT notices that apache2-mpm-worker is going to be removed and so
it tries to install the next or-member in this case apache2-mpm-prefork.
Fine so far, but unfortunately is apache2.2-common a dependency of
apache2-mpm-prefork so APT in squeeze marks it for installation: FAIL.
(that apache2.2-common is a dependency of apache2 can be ignored)
The option i mentioned above will prevent APT from trying other or-group
members so apache2 will need to be removed, too.

APT in unstable will notice that the remove of apache2.2-common was
requested, so it will not install it slowly telling the "news" all packages
which were marked for install before but are uninstallable as
apache2.2-common is in the tree and marked for removal.
This can work out as it does in the case here (on your and my system)
but fails for others (see merge) as APT doesn't know any more if the
package was installed only to move forward in a dead end or if it needs
to be installed because of a request (or both, which could happen, too).
The fix is as said to pass the mentioned "news" down the tree so every-
thing which would have been installed if the dead end would be a proper
street can be removed from the list of packages to install again instantly.


Best regards

David Kalnischkies




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#621720; Package apt. (Wed, 27 Apr 2011 21:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Faheem Mitha <faheem@email.unc.edu>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. (Wed, 27 Apr 2011 21:03:03 GMT) Full text and rfc822 format available.

Message #56 received at 621720@bugs.debian.org (full text, mbox):

From: Faheem Mitha <faheem@email.unc.edu>
To: David Kalnischkies <kalnischkies+debian@gmail.com>
Cc: 621720@bugs.debian.org
Subject: Re: Bug#621720: is this an apt bug?
Date: Thu, 28 Apr 2011 02:28:20 +0530 (IST)
Hi David,

Thanks for the further clarification.

On Wed, 27 Apr 2011, David Kalnischkies wrote:

> On Wed, Apr 27, 2011 at 20:20, Faheem Mitha <faheem@email.unc.edu> wrote:
>> What is the broken or group here (and how is it broken?), and what is the
>> other or group member? I assume these are both versions of the apache 2
>> packages? And which invocation does this refer to, the
>
> You request the remove of apache2.2-common which is a dependency of
> apache2-mpm-worker which is an or'd dependency of apache2.
> APT notices that apache2-mpm-worker is going to be removed and so
> it tries to install the next or-member in this case apache2-mpm-prefork.
> Fine so far, but unfortunately is apache2.2-common a dependency of
> apache2-mpm-prefork so APT in squeeze marks it for installation: FAIL.
> (that apache2.2-common is a dependency of apache2 can be ignored)
> The option i mentioned above will prevent APT from trying other or-group
> members so apache2 will need to be removed, too.

This part is clear. But why does it try to install the next or-member? Why 
doesn't it just delete everything that depends on apache2.2-common? This 
is usually what happens, is it not?

> APT in unstable will notice that the remove of apache2.2-common was
> requested, so it will not install it slowly telling the "news" all packages
> which were marked for install before but are uninstallable as
> apache2.2-common is in the tree and marked for removal.
> This can work out as it does in the case here (on your and my system)
> but fails for others (see merge) as APT doesn't know any more if the
> package was installed only to move forward in a dead end or if it needs
> to be installed because of a request (or both, which could happen, too).
> The fix is as said to pass the mentioned "news" down the tree so every-
> thing which would have been installed if the dead end would be a proper
> street can be removed from the list of packages to install again instantly.

This part is much less clear, beginning with the first sentence. I can't 
parse this sentence, sorry.

"it will not install it slowly telling the "news" all packages which were 
marked for install before but are uninstallable as apache2.2-common is in 
the tree and marked for removal."

I get the idea that unstable apt somehow makes a note not to attempt to 
reinstall apache2.2-common, but that's all I got. The "slowly telling the 
"news"" bit is particularly obscure.

I'm sure you have better things to do than answer my clueless emails, so 
feel free to ignore. Thanks.

                                                         Regards, Faheem




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 08:52:10 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.